Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.parseTreeConstruction
Class ATestParsetreeConstructor

    java.lang.Object
      org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor
          org.eclipse.amp.amf.testing.parseTreeConstruction.ATestParsetreeConstructor

All Implemented Interfaces:
  org.eclipse.xtext.parsetree.reconstr.IParseTreeConstructor

    public class ATestParsetreeConstructor

extends org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor

Nested Class Summary
`protected class` | `ATestParsetreeConstructor.BooleanValue_ValueAssignment` begin Rule BooleanValue **************** BooleanValue: value=BOOLEAN;
`protected class` | `ATestParsetreeConstructor.Constraint_AgentAssignment_2`
`protected class` | `ATestParsetreeConstructor.Constraint_AttributeAssignment_4`
`protected class` | `ATestParsetreeConstructor.Constraint_CommaKeyword_7_3`
`protected class` | `ATestParsetreeConstructor.Constraint_EqualsSignKeyword_5_0`
`protected class` | `ATestParsetreeConstructor.Constraint_EqualsSignKeyword_7_0`
`protected class` | `ATestParsetreeConstructor.Constraint_FullStopKeyword_3`
`protected class` | `ATestParsetreeConstructor.Constraint_Group` begin Rule Constraint **************** Constraint: measure=Measure "(" agent=[SAgent] "." attribute=[SAttribute] ("=" qualifier=[SStateValue])? ")" ("=" "[" minValue=Value "," maxValue=Value "]");
`protected class` | `ATestParsetreeConstructor.Constraint_Group_5`
`protected class` | `ATestParsetreeConstructor.Constraint_Group_7`
`protected class` | `ATestParsetreeConstructor.Constraint_LeftParenthesisKeyword_1`
`protected class` | `ATestParsetreeConstructor.Constraint_LeftSquareBracketKeyword_7_1`
`protected class` | `ATestParsetreeConstructor.Constraint_MaxValueAssignment_7_4`
`protected class` | `ATestParsetreeConstructor.Constraint_MeasureAssignment_0`
`protected class` | `ATestParsetreeConstructor.Constraint_MinValueAssignment_7_2`
`protected class` | `ATestParsetreeConstructor.Constraint_QualifierAssignment_5_1`
`protected class` | `ATestParsetreeConstructor.Constraint_RightParenthesisKeyword_6`
`protected class` | `ATestParsetreeConstructor.Constraint_RightSquareBracketKeyword_7_5`
`protected class` | `ATestParsetreeConstructor.IntValue_ValueAssignment` begin Rule IntValue **************** IntValue: value=INTEGER;
`protected class` | `ATestParsetreeConstructor.Model_Alternatives_3`
`protected class` | `ATestParsetreeConstructor.Model_ContainsAssignment_3_1_1`
`protected class` | `ATestParsetreeConstructor.Model_ContainsKeyword_3_1_0`
`protected class` | `ATestParsetreeConstructor.Model_ContraintsAssignment_3_0_1`
`protected class` | `ATestParsetreeConstructor.Model_DescriptionAssignment_2`
`protected class` | `ATestParsetreeConstructor.Model_Group` begin Rule Model **************** Model: {Model} name=STRING? description=DESC_STRING? (("tests" tests=Tests)? contraints+=Constraint+ | "contains" contains+=TestMember*)?;
`protected class` | `ATestParsetreeConstructor.Model_Group_3_0`
`protected class` | `ATestParsetreeConstructor.Model_Group_3_0_0`
`protected class` | `ATestParsetreeConstructor.Model_Group_3_1`
`protected class` | `ATestParsetreeConstructor.Model_ModelAction_0`
`protected class` | `ATestParsetreeConstructor.Model_NameAssignment_1`
`protected class` | `ATestParsetreeConstructor.Model_TestsAssignment_3_0_0_1`
`protected class` | `ATestParsetreeConstructor.Model_TestsKeyword_3_0_0_0`
`protected class` | `ATestParsetreeConstructor.RealValue_ValueAssignment` begin Rule RealValue **************** RealValue: value=REAL;
`protected class` | `ATestParsetreeConstructor.StringValue_ValueAssignment` begin Rule StringValue **************** StringValue: value=STRING;
`protected class` | `ATestParsetreeConstructor.TestMember_ImportURIAssignment` begin Rule TestMember **************** TestMember: importURI=STRING;
`protected class` | `ATestParsetreeConstructor.Tests_ImportURIAssignment` begin Rule Tests **************** Tests: importURI=STRING;
`protected class` | `ATestParsetreeConstructor.ThisRootNode`
`protected class` | `ATestParsetreeConstructor.Value_Alternatives` begin Rule Value **************** Value: IntValue | StringValue | RealValue | BooleanValue;
`protected class` | `ATestParsetreeConstructor.Value_BooleanValueParserRuleCall_3`
`protected class` | `ATestParsetreeConstructor.Value_IntValueParserRuleCall_0`
`protected class` | `ATestParsetreeConstructor.Value_RealValueParserRuleCall_2`
`protected class` | `ATestParsetreeConstructor.Value_StringValueParserRuleCall_1`

Nested classes/interfaces inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor
`org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.ActionToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AlternativesToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AssignmentToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AssignmentType, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.CommentToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.GroupToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.KeywordToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.RootToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.RuleCallToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.UnassignedTextToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.UnorderedGroupToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.WsMergerStream`

Nested classes/interfaces inherited from interface org.eclipse.xtext.parsetree.reconstr.IParseTreeConstructor
`org.eclipse.xtext.parsetree.reconstr.IParseTreeConstructor.TreeConstructionDiagnostic, org.eclipse.xtext.parsetree.reconstr.IParseTreeConstructor.TreeConstructionReport`

Field Summary

Fields inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor
`commentAssociater, crossRefSerializer, enumLitSerializer, hiddenTokenHelper, keywordSerializer, tokenUtil, treeConstructionReportProvider, tvService, valueSerializer`

Constructor Summary
`ATestParsetreeConstructor()`

Method Summary
`protected org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken` | `getRootToken(org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer inst)`

Methods inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor
`assignComment, assignNodesByMatching, assignTokenByMatcher, assignTokenByMatcher, assignTokenDirect, collectRootsAndEObjects, containsNodeOrAnyParent, createEObjectConsumer, createReport, debug, dump, dumpNode, initStream, serialize, serialize, serializeSubtree, write, writeComments`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestParsetreeConstructor

    public ATestParsetreeConstructor()

Method Detail

### getRootToken

    protected org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken getRootToken(org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer inst)

  Specified by:
    `getRootToken` in class `org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD